> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link a connector

> Create a new connection for your tenant, along with an optional schedule and field map, without using the embedded widget.



## OpenAPI

````yaml post /v2/{env_id}/{flow_id}/{tenant}/linkedConnectors
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /v2/{env_id}/{flow_id}/{tenant}/linkedConnectors:
    post:
      summary: Link a connector
      description: >-
        Create a new connection for your tenant, along with an optional schedule
        and field map, without using the embedded widget.
      operationId: linked-connectors-create
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - connector
              properties:
                connector:
                  type: object
                  description: Connector
                  required:
                    - id
                  properties:
                    id:
                      type: string
                      description: >-
                        The ID of your connector. You can fetch this from your
                        available or supported connectors
                    config:
                      type: object
                      description: >-
                        The config object holds key-value pairs with credentials
                        and flags for your connector. These are shared for
                        imports and exports.
                    symlink:
                      type: object
                      description: >-
                        Symlink allows you to share credentials with a
                        connection from another flow or subtenant
                      properties:
                        id:
                          type: string
                          description: >-
                            The previously linked flow_id containing a user's
                            credentials
                        tenant:
                          type: string
                          description: >-
                            Optional. If using subtenants, the tenant id that
                            has the linked connector in the same flow.
                        type:
                          type: string
                          description: >-
                            Optional. If symlinking from a target flow, pass
                            `target`. Can be left empty for source flows or
                            bidirectional flows.
                          enum:
                            - target
                schedule:
                  type: object
                  description: The schedule expression to sync on
                  properties:
                    schedule_expression:
                      type: string
                      description: CRON expression to set or update the schedule
                    state:
                      type: string
                      enum:
                        - '"ENABLED"'
                        - '"DISABLED'
                field_map:
                  type: object
                  description: The field map to use (if not provided, will use default)
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````